Decide on which clients users should get notifications
Closed, ResolvedPublic

Description

Provided this is enabled on Commons and MWNamespace::isContent( $title->getNamespace() ) is true for Commons categories.

NS_CATEGORY is not content on Commons, just FYI.

@matej_suchanek Can you elaborate more? Without proper context, it's really hard to understand what is the goal of this patch and when we can call this done.

Decide for which wiki families (Wikiquote, Wikisource etc.) and which namespaces it makes sense to enable this feature. Ie. if we should add some additional configuration or so.

Namespaces: I think any namespace that can have sitelinks should also get the notification. So it shouldn't require a special config.
Which wikis: we can start with Wikivoyage, then Wikipedia and then everyone else.

Which which made the request first?

Which which made the request first?

There was a feature request not related to a particular project.

Which which made the request first?

There was a feature request not related to a particular project.

Ah, but:

Which wikis: we can start with Wikivoyage, then Wikipedia and then everyone else.

We suggest this plan for deployment:

All the Wikivoyages
Announcement: May 3rd
Deployment: May 9th

All the Wikipedias but en, fr, de
Announcement: May 16th
Deployment: May 30th

Other projects
(Wikispecies, Mediawiki, Wikiversity, Wikibook, Wikisource, Wikiquote, Commons...)
Announcement: May 30th
Deployment: June 13th

Wikipedias en, fr, de
Announcement: August 22th
Deployment: Sept 5th

Between each step, there is room for feedbacks and fixing issues if necessary.

Change 352795 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] Enable sending Wikidata notification on Wikivoyage

https://gerrit.wikimedia.org/r/352795

Change 352795 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable sending Wikidata notification on Wikivoyage

https://gerrit.wikimedia.org/r/352795

Mentioned in SAL (#wikimedia-operations) [2017-05-09T13:47:07Z] <hashar@tin> Synchronized wmf-config/Wikibase-production.php: Enable sending Wikidata notification on Wikivoyage - T142103 (duration: 00m 39s)

Change 356165 had a related patch set uploaded (by Aude; owner: Aude):
[operations/mediawiki-config@master] Enable Wikibase notifications for Wikipedias (except enwiki, dewiki, frwiki)

https://gerrit.wikimedia.org/r/356165

matej_suchanek triaged this task as Normal priority.Jun 2 2017, 12:15 PM
matej_suchanek moved this task from incoming to ready to go on the Wikidata board.
matej_suchanek removed a project: Patch-For-Review.
Lydia_Pintscher closed this task as Resolved.Jun 29 2017, 5:27 PM
Lydia_Pintscher claimed this task.